Package csb :: Package io :: Module tsv :: Class DataRow

[frames] | no frames]

# Class DataRow

source code

    object --+
             |
            DataRow

Represents a table data row. This is basically what a table iterator yields for each row in a table. Provides both index (position) and column name-based access to the data.

Instance Methods

__getitem__(self, i) | source code

__init__(self, columns, number, row) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

__len__(self) | source code

__repr__(self) repr(x) | source code

__str__(self) str(x) | source code

dump(self, delimiter=`'``\t``'`) Dump the row as a string. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
tuple | columns Available column names
int | number Row number
Inherited from `object`: `__class__`

Method Details

### __init__(self, columns, number, row)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### dump(self, delimiter=`'``\t``'`)

source code

Dump the row as a string.

Parameters:
  - `delimiter` (str) - column separator (defaults to tab)

Property Details

### columns

Available column names

Get Method:
  unreachable.columns(self) - Available column names
Type:
  tuple

### number

Row number

Get Method:
  unreachable.number(self) - Row number
Type:
  int